#!/usr/bin/perl 
# $Header: /home/hiro/projects/dvr2/scripts/RCS/dvr2-endrec.pl,v 1.4 2012/05/09 16:32:20 hiro Exp $
#===============================================================================
#
#         FILE:  dvr2-endrec.pl
#
#        USAGE:  ./dvr2-endrec.pl $program_id
#
#  DESCRIPTION:  Do end-of-recording processing
#
#       AUTHOR:  Copyright (c) 2011 Hiro Sugawara
#      CREATED:  10/24/11 09:33:01
#     REVISION:  ---
#===============================================================================

use strict;
use warnings;
use POSIX;
use File::Basename;

use POSIX qw(strftime);

our $mydir	= dirname $0;
our $myname	= basename $0;
require "$mydir/dvr2-common.pl";

defined($ARGV[0]) || die "$myname: no argument\n";

my $end_recording = strftime "%H:%M", localtime(time);
my %iepg = (
	'end-recording'	=> $end_recording,
);

my $stat = 'Recorded';

while ($ARGV[0] =~ /^-/) {
	my $opt = shift @ARGV;
	$stat = 'Failed' if ($opt eq '-f');
}
foreach my $id (@ARGV) {
	appendIEPG($id, 'recorded', \%iepg);
	setStat($id, $stat);
}
