#!/usr/bin/perl 
# $Header: /home/hiro/projects/dvr2/scripts/RCS/dvr2-sync2epg.pl,v 1.5 2012/03/09 20:11:47 hiro Exp $
#===============================================================================
#
#         FILE:  dvr2-sync2epg.pl
#
#        USAGE:  ./dvr2-sync2epg.pl
#
#  DESCRIPTION:  Synchronize iEPG files to EPGREC DB
#
#       AUTHOR:  Copyright (c) 2011 Hiro Sugawara
#      CREATED:  10/24/11 09:33:01
#     REVISION:  ---
#===============================================================================

use strict;
use warnings;
use POSIX;
use File::Basename;

our $mydir	= dirname $0;
our $myname	= basename $0;
our $DVR2ROOT;
require "$mydir/dvr2-common.pl";

my ($aopt, $dopt, $gopt, $ropt, $Aopt);

while (($_ = shift)) {
	$aopt = 1	if /^-a/;
	$dopt = 1	if /^-d/;
	$gopt = 1	if /^-g/;
	$ropt = 1	if /^-r/;
	$Aopt = 1	if /^-A/;
}

if (!$aopt && !$dopt && !$gopt && !$ropt && !$Aopt) {
	die "$myname: no options\n"
		. "   -a (Add new iEPG)\n"
		. "   -d (Delete old EPG)\n"
		. "   -g (Delete zero size files)\n"
		. "   -r (Remove stale iEPG)\n"
		. "   -A (Remove iEPG without AT)\n"
		;
}

sync2epgAdd()		if ($aopt);
sync2epgRemove()	if ($ropt);
deleteOldRec()		if ($dopt);
deleteGarbage()		if ($gopt);
sync2ATRemove()		if ($Aopt);
